---@meta

---@class ABP_Interactable_WinchPole_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WinchPoleHit FHitResult
---@field Installed boolean
local ABP_Interactable_WinchPole_C = {}

---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Interactable_WinchPole_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractions TMap<FName, UInputAction>
function ABP_Interactable_WinchPole_C:GetLookAtPlayerInteractions(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractions) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_Interactable_WinchPole_C:TryToPickupThisActor(PlayerCharacter, Success) end
---@param Surface EPhysicalSurface
---@param ImpactLocation FVector
function ABP_Interactable_WinchPole_C:PlaySoundAtImpact(Surface, ImpactLocation) end
function ABP_Interactable_WinchPole_C:UpdateWinchPole() end
function ABP_Interactable_WinchPole_C:OnRep_WinchPoleHit() end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_WinchPole_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param WinchPoleHit FHitResult
function ABP_Interactable_WinchPole_C:SetWinchPole(WinchPoleHit) end
---@param EntryPoint int32
function ABP_Interactable_WinchPole_C:ExecuteUbergraph_BP_Interactable_WinchPole(EntryPoint) end


